"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Image = void 0;
var _react = _interopRequireWildcard(require("react"));
var _image = _interopRequireDefault(require("next/image"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Image = exports.Image = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    ...props
  } = _ref;
  const {
    style,
    source,
    layout,
    height,
    width,
    resizeMode,
    blurRadius,
    onLoadEnd,
    ...remProps
  } = props;
  let styleObject = {
    ...style
  };

  // source mapped to src
  let sourceProp = source;

  // height and width mapped to style height and width
  let layoutProp = layout;
  let heightProp = styleObject && styleObject.height || height;
  let widthProp = styleObject && styleObject.width || width;
  if (heightProp && typeof heightProp !== 'number' || widthProp && typeof widthProp !== 'number' || !heightProp || !widthProp) {
    heightProp = undefined;
    widthProp = undefined;
    layoutProp = 'fill';
    if (styleObject) {
      styleObject.height = undefined;
      styleObject.width = undefined;
    }
  }

  // resizeMode mapped to style object-fit
  let resizeModeProp = resizeMode;
  if (resizeModeProp) {
    styleObject = {
      ...styleObject,
      objectFit: resizeModeProp
    };
  }

  // blurRadius mapped to style filter blur
  let blurRadiusProp = blurRadius;
  if (blurRadiusProp) {
    styleObject = {
      ...styleObject,
      filter: `blur(${blurRadiusProp}px)`
    };
  }

  // onLoad mapped to onLoadingComplete
  let onLoadEndProp = onLoadEnd;
  return /*#__PURE__*/_react.default.createElement(_image.default, _extends({
    ref: ref,
    src: sourceProp,
    width: widthProp,
    height: heightProp,
    layout: layoutProp,
    onLoadingComplete: onLoadEndProp
  }, remProps, {
    style: {
      ...styleObject
    }
  }));
});
//# sourceMappingURL=Image.js.map